CameraAvStreamManagementTrait.AudioStreamAllocateCommand.Response.CommandFields

@HomeExperimentalGenericApi
enum CameraAvStreamManagementTrait.AudioStreamAllocateCommand.Response.CommandFields : Enum, Field


Descriptor enum for this command's response fields.

Summary

Enum Values

audioStreamId

The audioStreamId command response field.

Public companion properties

StructDescriptor

Public functions

CameraAvStreamManagementTrait.AudioStreamAllocateCommand.Response.CommandFields
valueOf(value: String)

Returns the enum constant of this type with the specified name.

Array<CameraAvStreamManagementTrait.AudioStreamAllocateCommand.Response.CommandFields>

Returns an array containing the constants of this enum type, in the order they're declared.

Public properties

open Descriptor
EnumEntries<CameraAvStreamManagementTrait.AudioStreamAllocateCommand.Response.CommandFields>

Returns a representation of an immutable list of all enum entries, in the order they're declared.

open String
open Boolean
Boolean
open UInt
open Type
open String

Public companion properties

StructDescriptor

val StructDescriptor: StructDescriptor

Public functions

valueOf

fun valueOf(value: String): CameraAvStreamManagementTrait.AudioStreamAllocateCommand.Response.CommandFields

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Throws
kotlin.IllegalArgumentException

if this enum type has no constant with the specified name

values

fun values(): Array<CameraAvStreamManagementTrait.AudioStreamAllocateCommand.Response.CommandFields>

Returns an array containing the constants of this enum type, in the order they're declared.

This method may be used to iterate over the constants.

Public properties

descriptor

open val descriptor: Descriptor

entries

val entries: EnumEntries<CameraAvStreamManagementTrait.AudioStreamAllocateCommand.Response.CommandFields>

Returns a representation of an immutable list of all enum entries, in the order they're declared.

This method may be used to iterate over the enum entries.

fieldName

open val fieldName: String

isList

open val isList: Boolean

isNullable

val isNullable: Boolean

tag

open val tag: UInt

typeEnum

open val typeEnum: Type

typeName

open val typeName: String